Game Launch
curl --request GET \
--url https://ss.game-services.work/platform/api/game/launch \
--header 'Authorization: Bearer <token>'import requests
url = "https://ss.game-services.work/platform/api/game/launch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ss.game-services.work/platform/api/game/launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
GET /platform/api/game/launch?operator_id=your_operator_id&player_token=player123¤cy=USD&game_uuid=550e8400-e29b-41d4-a716-446655440000
RGS Public API
Game Launch
This endpoint creates a new player and opens a session for them in the gaming system. If a player with the specified player token does not exist, a new player will be created, and a session will be opened. If the player already exists, only a session will be opened.
Game Launch
GET /platform/api/game/launch
Request Parameters
| Name | Type | Description |
|---|---|---|
| operator_id | string | Operator id, provided by RGS |
| player_token | string | Temporary token representing the player. |
| currency | string `. | Currency ISO code. |
| language | string optional | Language code, default is ‘en’. |
| lobby_url | string optional | URL to the player’s lobby. |
| device_type | string | The type of device used for gaming MOBILE or DESKTOP. |
| game_uuid | string | Unique identifier of the game. |
Response
The response has an HTTP status code 302, and it includes a Location header with the URL to which the client should be redirected. This redirection will be handled automatically by the browser.GET /platform/api/game/launch?operator_id=your_operator_id&player_token=player123¤cy=USD&game_uuid=550e8400-e29b-41d4-a716-446655440000
⌘I